const
  NMAX = 100;

var
  n,i: Integer;
  w: array[1..NMAX] of String;
  s,k: String;

begin
  readln(n); writeln(n);
  for i:=1 to n do begin readln(w[i]); writeln(w[i]);end;
  s:='';
  k:='';
  repeat
    k := k+w[random(n)+1];
    if length(k)>NMAX then break;
    s:=k;
  until false;
  writeln(s);
end.
